History

Vehicle History

Retrieve a vehicle history report by VIN, including title, brand, junk/salvage and insurance records.


Checking account...
GET
/history

Retrieve a vehicle history report by VIN, including title, brand, junk/salvage and insurance records.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

vin*string

The 17 character long vehicle identification number.

format?string

The format of the response. One of json or xml.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/history \  -d key=CARSXE_API_KEY \  -d vin=WBAFR7C57CC811956
{
  "success": true,
  "vin": "string",
  "junkAndSalvageInformation": [
    {}
  ],
  "insuranceInformation": [
    {}
  ],
  "brandsRecordCount": 0,
  "brandsInformation": [
    {}
  ],
  "vinChanged": true,
  "currentTitleInformation": [
    {}
  ],
  "historyInformation": [
    {}
  ]
}

{
  "success": false,
  "message": "Missing vin (vehicle identification number)"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "This API key has been blocked, please contact support if you believe this is an error."
}
{
  "success": false,
  "message": "No data found for this VIN"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "Internal server error"
}